Data Hub
Files

Create a run file record

Requires scope `files:create`.

POST
/instruments/{instrumentId}/runs/{runId}/files

Requires scope files:create.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

instrumentId*string
runId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/instruments/plate-reader/runs/run-2026-001/files" \  -H "Content-Type: application/json" \  -d '{    "s3_bucket": "string",    "s3_key": "string",    "filename": "string"  }'
{  "id": 0,  "instrument_run_id": "09e81fd0-3875-4ea7-a8b5-166f38633c23",  "filename": "string",  "relative_path": "string",  "s3_bucket": "string",  "s3_key": "string",  "content_type": "string",  "size_bytes": 0,  "category": "raw",  "status": "detected",  "metadata": {    "property1": null,    "property2": null  },  "error_message": "string",  "detected_at": "2019-08-24T14:15:22Z",  "upload_requested_at": "2019-08-24T14:15:22Z",  "uploaded_at": "2019-08-24T14:15:22Z",  "processed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "file_created_at": "2019-08-24T14:15:22Z"}
{  "id": 0,  "instrument_run_id": "09e81fd0-3875-4ea7-a8b5-166f38633c23",  "filename": "string",  "relative_path": "string",  "s3_bucket": "string",  "s3_key": "string",  "content_type": "string",  "size_bytes": 0,  "category": "raw",  "status": "detected",  "metadata": {    "property1": null,    "property2": null  },  "error_message": "string",  "detected_at": "2019-08-24T14:15:22Z",  "upload_requested_at": "2019-08-24T14:15:22Z",  "uploaded_at": "2019-08-24T14:15:22Z",  "processed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "file_created_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}